#pragma once

#include "Proxies.hpp"
#include "Process.hpp"

namespace Proxies {

	class GenericProxy;

	class SplitByStateProcess:
		public Process
	{
	public:
		enum {
			StatusCheck = 0,
			WARNING_MultipleStates,
			ErrorsCount
		};

		SplitByStateProcess()
			{}
		SplitByStateProcess(			
			Stuff::NotationFile *data_file,
			bool bSuppress = true,
			void* fcn = NULL
		):
			Process(data_file, bSuppress, fcn)
			{}

		virtual void
			SplitCallback(GenericProxy* proxy, int type)
			{}
	};

}
